.main-container-cupones{
    display: flex;
    justify-content: center;
    align-items: center;
}
.listado-cupones{
    margin: 20px;
    max-width: 1100px;
    background: #f5f5f5;
}
.listado-cupones-container{
    /* display:grid;
    grid-template-columns: repeat(
        auto-fit,
        minmax(
            300px,
            1fr
        )
    ); */
    display:flex;
    justify-content: center;
    align-items: center;
    font-size: 13px;
    gap:10px;
    background: #f5f5f5;
    border-radius: 6px;
    flex-wrap: wrap;
    /* flex-flow: wrap; */
    padding: 10px 0 12px 11px;
}
.cupon-card{
    display: inline-flex;
    margin: 6px;
    flex-direction: column;
    max-height: 500px;
    opacity: 1;
    max-width: 500px;
    min-width: 300px;
    width: 40%;
    -webkit-transition: opacity .6s,max-height .6s,margin-bottom .6s;
    transition: opacity .6s,max-height .6s,margin-bottom .6s;
    word-break: break-word;
}
.cupon-header{
    align-items: flex-start;
    background-color: #fff;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    box-shadow: 0 1px 2px rgba(0,0,0,.12);
    box-sizing: border-box;
    display: flex;
    flex-direction: row;
    height: auto;
    justify-content: start;
    order: 1;
    padding: 16px 16px 4px;
    width: 100%;
    min-height: 77px;
    background: rgba(255,255,255,1);
}
.cupon-header .icon-cupon{
    height: 40px;
    margin-right: 12px;
    position: relative;
    width: 40px;
}
.cupon-header .icon-cupon .icon-check-circle{
    position: relative;
    bottom: 19px;
    left: 33px;
    font-size: 22px;
    color: green;
}
.cupon-header .icon-cupon .icon-cupon-cat{
    font-size: 33px;
    color: #1e9a7f;
    position: relative;
    left: 1%;
}
.cupon-header .info-section{
    padding-right: 16px;
    position: relative;
    width: 100%;
}
.cupon-header .info-section .titulo-cupon{
    color: rgba(0,0,0,.9);
    font-weight: 600;
    line-height: 22px;
    margin-bottom: 2px;
    margin-left: 6px;
    font-size: 18px;
}
.cupon-header .info-section .titulo-cupon{
    position: relative;
}
.cupon-header .info-section .subtitulo-cupon{
    color: rgba(0,0,0,0.55);
    display: flex;
    font-weight: 400;
    line-height: 15px;
    font-size:16px;
}
.cupon-header .info-section .info-container{
    -webkit-align-items: center;
    align-items: center;
    display: flex;
    -webkit-justify-content: center;
    justify-content: center;
    margin-left: 5px;
}
.die-cut{
    background: #fff;
    -webkit-box-shadow: 0 1px 0 0 #fff, 0 -1px 0 0 #fff;
    box-shadow: 0 1px 0 0 #fff, 0 -1px 0 0 #fff;
    height: 20px;
    margin: 0;
    -webkit-order: 2;
    order: 2;
    position: relative;
    width: 100%;
}
.die-cut .inner-line{
    position: relative;
    width: 100%;
}
.die-cut:after{
    border-bottom: 1px dashed rgba(0,0,0,.15);
    content: "";
    left: 16px;
    position: absolute;
    right: 16px;
    top: 30%;
    z-index: 1;
}
.die-cut .inner-line:after, .die-cut .inner-line:before{
    background: #f5f5f5;
    bottom: 0;
    content: "";
    display: block;
    height: 16px;
    overflow: hidden;
    position: absolute;
    top: -3px;
    width: 8px
}
.die-cut .inner-line:before{
    background: #f5f5f5;
    bottom: 0;
    content: "";
    display: block;
    height: 16px;
    overflow: hidden;
    position: absolute;
    top: -2px;
    width: 8px;
    border-bottom-right-radius: 32px;
    border-top-right-radius: 32px;
    box-shadow: inset -1px 1px 1px rgba(0,0,0,.07);
    left: 0;
}
.die-cut .inner-line:after{
    background: #f5f5f5;
    bottom: 0;
    content: "";
    display: block;
    border-bottom-left-radius: 32px;
    border-top-left-radius: 32px;
    height: 16px;
    box-shadow: inset 1px 1px 1px rgba(0,0,0,.08);
    overflow: hidden;
    right: 0px;
    overflow: hidden;
    position: absolute;
    top: -2px;
    width: 8px;
}
.cupon-footer{
    display: flex;
    background: #fff;
    -webkit-border-bottom-left-radius: 5px;
    border-bottom-left-radius: 5px;
    -webkit-border-bottom-right-radius: 5px;
    border-bottom-right-radius: 5px;
    box-shadow: 0 1px 2px rgba(0,0,0,.12);
    box-sizing: border-box;
    flex-direction: row;
    align-items: center;
    height: auto;
    justify-content: flex-end;
    margin-top: -1px;
    order: 3;
    padding: 0 24px 8px;
    width: 100%;
    z-index: 30;
}
.btn-footer-cupon{
    border-radius: 4px;
    line-height: 24px;
    padding: 0 8px;
    background-color: #1e9a7f;
    border-color: transparent;
    color: #fff;
    cursor: pointer;
    font-size: 14px;
    height: 34px;
    transition: all ease-in-out .2s;
    line-height: 20px;
}
.btn-footer-cupon-search{
    border: 1px solid #1e9a7f;
    background: transparent;
    color:#1e9a7f;
    padding: 0 8px;
    border-radius: 4px;
    text-decoration: none;
    height: 34px;
    line-height: 32px;
}
.btn-footer-cupon-search:hover{
    text-decoration: none;
    color:#1e9a7f;
}
.btn-footer-cupon:hover{
    background-color: #4ad3b5;
}
@media (max-width:768px){
    .main-container-cupones{
        display: inherit;
    }
    .listado-cupones-container{
        display:grid;
        grid-template-columns: repeat(
            auto-fit,
            minmax(
                300px,
                1fr
            )
        );
    }
    .listado-cupones-container{
        padding: 0;
    }
    .listado-cupones{
       padding:25px;
       display: grid;
       align-items: center;
       margin:0;
       justify-content: unset;
    }
    .cupon-card{
        width: 100%;
        max-width: initial;
        min-width: initial;
        margin: 0;
    }
    .cupon-header .info-section .titulo-cupon{
        font-size:16px;
    }
    .cupon-header .info-section .subtitulo-cupon{
        font-size: 13px;
    }
    .btn-footer-cupon-search{
        font-size: 13px;
    }
    .btn-footer-cupon{
        font-size: 13px;
    }
}